package promo

import (
	"github.com/gin-gonic/gin"
	"github.com/perfect-panel/server/internal/logic/admin/promo"
	"github.com/perfect-panel/server/internal/svc"
	"github.com/perfect-panel/server/internal/types"
	"github.com/perfect-panel/server/pkg/result"
)

func DeletePriceHandler(svcCtx *svc.ServiceContext) func(c *gin.Context) {
	return func(c *gin.Context) {
		var req types.DeletePromoPriceRequest
		if err := c.ShouldBindUri(&req); err != nil {
			result.ParamErrorResult(c, err)
			return
		}
		if err := svcCtx.Validate(&req); err != nil {
			result.ParamErrorResult(c, err)
			return
		}
		l := promo.NewDeletePriceLogic(c.Request.Context(), svcCtx)
		err := l.DeletePrice(&req)
		result.HttpResult(c, nil, err)
	}
}
